## live-boot 3.0~b9

=== debian/changelog ===
live-boot (3.0~b9-1) unstable; urgency=low

  [ Tails developers ]
  * Making the /live to /lib/live move for the persistence code.
  * Handling already mounted persistence backing media correctly.
  * Fixing persistence-media option when no devices are attached.
  * Using 'local' in a safe way.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Dec 2012 20:01:21 +0100

live-boot (3.0~b8-1) unstable; urgency=low

  * Removing eject from recommends, the script that ejects the live medium
    is in live-config these days.
  * Removing file from recommends, no usage of file in live-boot anymore.
  * Updating package lists in bug script to match current implementations.
  * Adding dpkg-source local options.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Nov 2012 14:48:16 +0100

live-boot (3.0~b7-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating file paths for /lib/live/mount. See
    http://lists.debian.org/debian-live/2012/10/msg00021.html for more
    information.
  * Renaming /lib/live/mount/image to /lib/live/mount/medium. See
    http://lists.debian.org/debian-live/2012/10/msg00023.html for more
    information.
  * Updating package descriptions.
  * Properly wrap package descriptions to 80 characters per line.

  [ Tails developers ]
  * Adding support for the previous persistence configuration file name,
    for compatibility with systems that have been deployed with live-
    persistence.conf already.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Nov 2012 15:04:32 +0100

live-boot (3.0~b6-1) unstable; urgency=low

  * Including hfs and hfsplus modules in initrd to access filesystems on
    apple systems.
  * Stopping to put a tmpfs on /root/lib/live from within initramfs, it
    over-'layered' most prominently the live systems /lib/live/config,
    making the runtime configuration impossible and the tmpfs is not
    used or needed in the first place anyway.
  * Renaming rofs to more intuitive rootfs.
  * Removing source-only readme file about boot scripts from the binary
    package.
  * Renaming the boot scripts readme file to fixme to make it even more
    obvious.

 -- Daniel Baumann <daniel@debian.org>  Tue, 02 Oct 2012 10:32:44 +0200

live-boot (3.0~b5-1) unstable; urgency=low

  * Updating to standards version 3.9.4.
  * Removing showmounts option as it's enable always anyway.
  * Applying slightly modified patch from Reinhard Tartler
    <siretart@tauware.de> to ensure that a potentially stray tmpfs on
    /live/overlay gets removed to fix netboot failures (Closes:
    #685375).

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Sep 2012 10:07:09 +0200

live-boot (3.0~b4-1) unstable; urgency=low

  * Switching to final name for the persistence configuration file
    'persistence.conf' in line with boot parameter.
  * Moving remaining stuff from /live to /lib/live to avoid further
    namespace pollution.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Sep 2012 13:23:33 +0200

live-boot (3.0~b3-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Always move live filesystem mounts to /root within initramfs,
    regardless if mountpoint already exists or not (Closes: #688782).

  [ Gaudenz Steinlin ]
  * Removing mountpoint if no persistence layer is found on a device.

  [ Daniel Baumann ]
  * Exposing rofs and persistence mounts under /live in the live
    systems, not just initramfs only (Closes: #687099).
  * Updating code for exposing of overlay mounts under /live too.

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Sep 2012 14:40:32 +0200

live-boot (3.0~b2-1) unstable; urgency=low

  * Recreating /etc/live/boot in postinst.
  * Removing /etc/live/boot if empty on purge in postrm.
  * Regenerating initramfs on remove.

 -- Daniel Baumann <daniel@debian.org>  Fri, 24 Aug 2012 12:37:23 +0200

=== debian/control ===
Source: live-boot
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://live.debian.net/devel/live-boot/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-boot.git
Vcs-Git: git://live.debian.net/git/live-boot.git

Package: live-boot
Architecture: all
Depends: ${misc:Depends}, live-boot-initramfs-tools | live-boot-backend
Recommends: live-boot-doc, rsync, uuid-runtime
Suggests: curlftpfs, cryptsetup, httpfs2, unionfs-fuse, wget
Description: Live System Boot Scripts
 live-boot contains the scripts that configure a live system during the boot
 process (early userspace).
 .
 In addition to live-boot, a backend for the initrd generation is required, such
 as live-boot-initramfs-tools.

Package: live-boot-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: live-boot (<< 3.0~a18~)
Replaces: live-boot
Description: Live System Boot Scripts (documentation)
 live-boot contains the scripts that configure a live system during the boot
 process (early userspace).
 .
 This package contains the documentation.

Package: live-boot-initramfs-tools
Architecture: all
Depends:
 ${misc:Depends}, busybox | busybox-initramfs, initramfs-tools, udev
Conflicts: live-boot-backend
Replaces: live-boot-backend
Provides: live-boot-backend
Description: Live System Boot Scripts (initramfs-tools backend)
 live-boot contains the scripts that configure a live system during the boot
 process (early userspace).
 .
 This package contains the initramfs-tools backend.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-boot/COPYING
	rm -f debian/lib/live/boot/FIXME

	# live-boot-initramfs-tools
	mkdir -p debian/live-boot-initramfs-tools/usr/share
	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_install:
	dh_install --fail-missing

## live-boot 3.0~b10

=== debian/changelog ===
live-boot (3.0~b10-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding live-tools to recommends.

  [ Michal Suchanek ]
  * Including util-linux mount in initramfs.

  [ Daniel Baumann ]
  * Making overwriting of /bin/mount within initramfs with mount.util-
    linux dependent on fuse usage, not on some additional boot parameter.
  * Correcting spelling typo in bug script.

  [ Richard Nelson ]
  * Update manpage information of ip= param to correctly reflect what
    9990-netbase.sh expects.

  [ Daniel Baumann ]
  * Cleaning up manpage po files.

  [ Evgeni Golov ]
  * Do not fix mountpoints with live-persistence.conf as home-rw/live-rw.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Dec 2012 20:22:50 +0100

## live-boot 3.0.0

=== debian/changelog ===
live-boot (3.0.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating manpage year handling for 2013.

  [ Richard Nelson ]
  * Replace noprompt with noeject on manpage.

  [ Daniel Baumann ]
  * Updating noeject description in manpage.

  [ chals ]
  * Updating Spanish translation in respect to noeject.

  [ Daniel Baumann ]
  * Dropping dpkg compression level.
  * Calling df with -P to avoid line wraps with overly long mountpoints.

  [ Tails developers ]
  * Improving test for /etc/fstab.d support by testing for its existence
    instead of /run's one.

  [ Daniel Baumann ]
  * Removing some dead code in netbase parts.

  [ Gaudenz Steinlin ]
  * Fixing support for multiple squashfs images (Closes: #696494).
  * Fixing mounting of rootfs, cow and medium filesystems (Closes:
    #696495).

  [ Daniel Baumann ]
  * Correcting persistence-label handling fwrt/ legacy live-boot 2.x
    support, thanks to Mike Gach <gach.mqt@gmail.com> (Closes: #697873).

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Feb 2013 08:23:17 +0100

live-boot (3.0~b11-1) unstable; urgency=low

  * Updating year in copyright file.
  * Supporting legacy filenames for checksums in debian within verify-
    checksums.
  * Correcting legacy filename for checksum files.
  * By default including sha256sum only in progress-linux, keep md5sum
    legacy for debian.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jan 2013 11:32:21 +0100

## live-boot 3.0.1

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = backends/*/* bin/* scripts/*.sh scripts/*/*-*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@# We can't just fail yet on bashisms (FIXME)
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT} || true; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing scripts
	mkdir -p $(DESTDIR)/lib/live
	cp -r scripts/boot.sh scripts/boot $(DESTDIR)/lib/live

	# Installing executables
	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/hooks
	cp backends/initramfs-tools/live.hook $(DESTDIR)/usr/share/initramfs-tools/hooks/live
	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/scripts
	cp backends/initramfs-tools/live.script $(DESTDIR)/usr/share/initramfs-tools/scripts/live

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-boot
	cp -r COPYING $(DESTDIR)/usr/share/doc/live-boot

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling executables
	rm -f $(DESTDIR)/sbin/live-swapfile
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin > /dev/null 2>&1 || true

	rm -f $(DESTDIR)/usr/share/initramfs-tools/hooks/live
	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/live

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-boot
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(for MANPAGE in $(ls manpages/en/*); do basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1; done | sort -u); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-boot po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

=== debian/changelog ===
live-boot (3.0.1-1.drbl2) unstable; urgency=low

  * Patched 9990-upstart-tty.sh file is in mode 644, change it to 755 so it will be run during booting

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 08 Jun 2013 10:31:24 +0800

live-boot (3.0.1-1.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied the patches from DRBL projects. Recompiled on Debian Squeeze.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 02 Jun 2013 11:00:20 +0800

live-boot (3.0.1-1) unstable; urgency=low

  [ chals ]
  * Updating Spanish translation of live-boot man page, persistence-label.

  [ Daniel Baumann ]
  * Dropping German manpage translations stubs for the release.

 -- Daniel Baumann <daniel@debian.org>  Thu, 14 Feb 2013 19:33:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/tmp
+
+	# The new patched file is in mode 644, change it to 755 so it will be run during booting
+	chmod 755 debian/tmp/lib/live/boot/9990-upstart-tty.sh
 
 	# Removing useless files
 	rm -f debian/tmp/usr/share/doc/live-boot/COPYING
@@ -15,7 +18,7 @@
 	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_install:
 	dh_install --fail-missing

## live-boot 4.0.1

=== debian/changelog ===
live-boot (4.0.1-1) unstable; urgency=low

  [ victory ]
  * Change a wording and fix a typo in the po header, in Japanese
    translation.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.6.

  [ Carlos Zuferri ]
  * Fixing typo in warning message.

  [ Daniel Baumann ]
  * Dropping empty German manpage translations.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Oct 2014 14:26:22 +0200

live-boot (4.0.0-1) unstable; urgency=low

  [ Carlos Zuferri ]
  * Removing obsolete flag '--no-backups' from po4a options.
  * Adding '--package-version' to po4a options.
  * Adding .po integrity check target to manpages/Makefile.

  [ Daniel Baumann ]
  * Adding plymouth support for LUKS passwort prompt based on a patch from
    Gaudenz Steinlin <gaudenz@debian.org> (Closes: #754166).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Aug 2014 19:52:09 +0200

live-boot (4.0~alpha21-1) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:55:30 +0200

live-boot (4.0~alpha20-1) unstable; urgency=low

  [ Trent W. Buck ]
  * Fix cut-and-paste typo verify-checksums -> panic.

  [ Evgeni Golov ]
  * Properly check if $rc_server1 is not "0.0.0.0".
  * Supporting resolvconf in the squashfs.
  * Do not throw warnings when /tmp/custom_mounts.list does not exist.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:38:22 +0200

live-boot (4.0~alpha19-1) experimental; urgency=low

  * Updating copyright notices for 2014.
  * Updating swap bootparameter in manpage to match code (Closes:
    #738146).
  * Adjusting internal file of the swap component to match its own boot
    parameter.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 08 Feb 2014 17:32:16 +0100

live-boot (4.0~alpha18-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Adding initial Japanese live-boot manpage translation from victory
    <victory.deb@gmail.com>.

  [ chals ]
  * Applying patch revising grammar and spelling in live-boot.7 manpage,
    thanks to victory <victory.deb@gmail.com>.
  * Updating live-boot translation files from the original English text.
  * Updating Spanish translation of live-boot.7 manpage.

  [ victory ]
  * Change plurals to singular: from "a ... media" to "a ... medium".
  * Update/sync translations.

  [ Daniel Baumann ]
  * Reading in panic boot parameter when overloading initramfs-tools
    panic() (Closes: #729041).

  [ victory ]
  * Translated persistence.conf.5.
  * [man-ja] Fix a typo on the translation.
  * Fix a typo: coma -> comma.
  * Sync translations (0af845c).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 20 Nov 2013 11:03:46 +0100

live-boot (4.0~alpha17-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Rewrapping control file.

  [ Michael Prokop ]
  * Properly boot from mdadm via findiso boot option.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.5.
  * Correcting spelling typo in overlay component breaking booting from
    uncompressed filesystems, thanks to John Bazik <jsb@cs.brown.edu>
    (Closes: #728250).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 30 Oct 2013 02:44:22 +0100

live-boot (4.0~alpha16-1) experimental; urgency=low

  * Updating package descriptions.
  * Applying patch from Michael Prokop <mika@grml.org> to update udev
    usage in is_nice_device() for newer udev versions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Oct 2013 09:17:35 +0200

live-boot (4.0~a15-1) experimental; urgency=low

  [ Jan Blunck ]
  * Install components into /lib/live/boot folder.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 13 Sep 2013 17:21:50 +0200

live-boot (4.0~a14-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating note about overlay file image names in live-boot manpage,
    thanks to Peter Schaefer <peter.schaefer@physik.hu-berlin.de> (Closes:
    #701615).
  * Correcting debug variables through out the code to use the same one.
  * Allowing to superseed live-boot cmdline through configuration files.

  [ chals ]
  * Updating Spanish translation of live-boot man page.

  [ Steven Shiau ]
  * Calculating size for the whole media "/live/image/", not only the dir
    "/live/image/live/" when using toram.

  [ Daniel Baumann ]
  * Reorganizing backend in source tree.
  * Reorganizing frontend in source tree.
  * Reorganizing components in source tree.
  * Replace various mentionings of scripts with components.
  * Updating code to current coding style in a some locations.
  * Dropping old pre-wheezy udevadm handling.
  * Dropping old pre-wheezy persistence list handling.
  * Replacing variable used in one place only with explicit directory for
    simplicity.
  * Shortening /etc/mtab conditional creation.
  * Dropping helper function used in one place only which can be replaced
    with a simple ls call anyway.
  * Dropping really_export dead code.
  * Simplifying /etc/resolv.conf generation a bit.
  * Updating indenting in network component.

  [ chals ]
  * Updating the dates in man pages.
  * Updating Spanish translation of man pages.

  [ Jan Blunck ]
  * Use PERSISTENCE_PATH with a trailing "/".
  * Move check for block device to mount_persistence_media().
  * Remount writable when moving the mountpoint of the persistence device.
  * Blacklist devices used for /live/rootfs/* insted of /live/medium.
  * Add support for persistence-storage type "directory".

  [ Daniel Baumann ]
  * Updating debhelper install file to include additional scripts in new
    location.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 13 Sep 2013 14:17:30 +0200

live-boot (4.0~a13-1) experimental; urgency=low

  * Increasing tftp blocksize to maximum value per RFC 2348, thanks to
    Vincent Smeets <Vincent.VSmeets@gmail.com> (Closes: #709887).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 May 2013 16:45:49 +0200

live-boot (4.0~a12-1) experimental; urgency=low

  * Updating manpage wrt/ quickreboot (Closes: #706686).


## live-boot 4.0.2

=== debian/changelog ===
live-boot (4.0.2-1.drbl7) unstable; urgency=medium

  * Adding the boot parameter dhcp-vendor-id so that the ipconfig from
    klibc-utils can be assigned to some specific DHCP server with vendor
    class ID.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Jun 2016 13:59:11 +0800

live-boot (4.0.2-1.drbl6) unstable; urgency=low

  * Adding a mechanism to stick to the PXE server when live-boot
    trying to lease IP address by using the boot parameter
    "stick-to-pxe-srv". It will drop the DHCP server without providing
    filename. By default the max lease loop number is 10 times. The 
    boot parameter "ethdev-dhcp-max-loop" can be used to assign the 
    max number.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Oct 2015 08:27:30 +0800

live-boot (4.0.2-1.drbl5) unstable; urgency=low

  * Find all NIC device, not only for eth* in 
    component 9990-select-eth-device.sh. 
  * Enabled find network device name with en* in 9990-netbase.sh.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 15 Aug 2015 14:26:45 +0800

live-boot (4.0.2-1.drbl4) unstable; urgency=low

  * Patching to accept nicif boot parameter for assigning the ethernet
    device.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Jul 2015 13:19:54 +0800

live-boot (4.0.2-1.drbl3) unstable; urgency=low

  * Patching to suppress the cat message about scanning removable
    device.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Jun 2015 09:05:52 +0800

live-boot (4.0.2-1.drbl2) unstable; urgency=low

  * Manually add file system overlay, the new name for overlayfs in 
    Linux kernel v4. 
  * Recompiled on Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 13 May 2015 11:00:20 +0800

live-boot (4.0.2-1.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied the patches from DRBL projects. Recompiled on Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Jan 2015 11:37:05 +0800

live-boot (4.0.2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Dropping usage of /etc/fstab.d since util-linux removed it, thanks to
    Evgeni Golov <evgeni+git@golov.de> for reporting it.

  [ Jan Blunck ]
  * Fix spelling of unknown
  * Suppress annoying but harmless warning about unknown module

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Dec 2014 10:36:04 +0100

=== debian/control ===
Source: live-boot
Section: misc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://live-systems.org/devel/live-boot/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-boot.git
Vcs-Git: git://live-systems.org/git/live-boot.git

Package: live-boot
Architecture: all
Depends:
 ${misc:Depends},
 live-boot-initramfs-tools | live-boot-backend,
Recommends:
 live-boot-doc,
 live-tools,
 rsync,
 uuid-runtime,
Suggests:
 curlftpfs,
 cryptsetup,
 httpfs2,
 unionfs-fuse,
 wget,
Description: Live System Boot Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-boot contains the components to configure a live system during the boot
 process (early userspace).
 .
 In addition to live-boot, a backend for the initrd generation is required, such
 as live-boot-initramfs-tools.

Package: live-boot-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Live System Boot Components (documentation)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-boot contains the components to configure a live system during the boot
 process (early userspace).
 .
 This package contains the documentation.

Package: live-boot-initramfs-tools
Architecture: all
Depends:
 ${misc:Depends},
 busybox | busybox-initramfs,
 initramfs-tools,
 udev,
Conflicts: live-boot-backend
Replaces: live-boot-backend
Provides: live-boot-backend
Description: Live System Boot Components (initramfs-tools backend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-boot contains the components to configure a live system during the boot
 process (early userspace).
 .
 This package contains the initramfs-tools backend.

## live-boot 20151213~bpo8+1

=== debian/changelog ===
live-boot (1:20151213~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Kristian Klausen <klausenbusk@hotmail.com>  Sat, 09 Apr 2016 14:39:26 +0000

live-boot (1:20151213) unstable; urgency=medium

  [ Iain R. Learmonth ]
  * Change to native package.
  * debian/control:
   - Added myself to uploaders.
   - Updated Vcs-* and Homepage fields.

  [ trebmuh ]
  * Adding French translation for live-boot manpage and prep for
    persistence.conf.

  [ Carlos Zuferri ]
  * Using 'Live Systems Project' as default project in .pot files.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 13 Dec 2015 16:12:07 +0000

live-boot (5.0~a5-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-boot (5.0~a5-1) unstable; urgency=low

  [ Richard Nelson ]
  * Adjusting whitespace to tabs on components/9990-overlay.sh
  * Adjusting whitespace to tabs on components/9990-misc-helpers.sh
  * Adjusting whitespace to tabs on components/9990-mount-http.sh

  [ Daniel Baumann ]
  * Wrap and sort debian control file.

  [ Steven Shiau ]
  * Support predictable network interface names.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 10:55:32 +0200

live-boot (5.0~a4-1) unstable; urgency=low

  [ Tails developers ]
  * Logging a warning when an expected image file is missing.
  * Patch by Steven Shiau <steven@nchc.org.tw>. The only changes so far
    are:
  * Removing attempt to mount overlayfs in an obsolete way.
  * Cleaning up comment to keep only the part that's relevant here.
  * Adding missing quotes.
  * Removing obsolete code.
  * Refactoring duplicate identical call to mount.

  [ Daniel Baumann ]
  * Switching default union filesystem to overlay, wheezy systems can use
    union=aufs for the time being.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 17 May 2015 21:04:01 +0200

live-boot (5.0~a3-1) unstable; urgency=low

  [ Tails developers ]
  * Patch by Steven Shiau <steven@nchc.org.tw>. The only changes so far
    are:
  * Removing attempt to mount overlayfs in an obsolete way.
  * Cleaning up comment to keep only the part that's relevant here.
  * Adding missing quotes.
  * Removing obsolete code.
  * Removing unused variables.
  * Refactoring duplicate identical call to mount.

  [ Daniel Baumann ]
  * Waiting until all ethernet devices are up on multi-nic machines,
    thanks to Chris Read <chris.read@gmail.com> (Closes: #744777).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 Apr 2015 07:19:16 +0200

live-boot (5.0~a2-1) unstable; urgency=low

  [ Tom Jampen ]
  * Adding command line parameter to remove persistence.

  [ Gaudenz Steinlin ]
  * Modprobe filesystem modules before checking support.

  [ victory ]
  * Unfuzzy Japanese translation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Apr 2015 20:11:46 +0200

live-boot (5.0~a1-1) experimental; urgency=low

  [ Tails developers ]
  * Fixing name of overlayfs kernel module for inclusion in the initramfs
    (Closes: #773868).

  [ Daniel Baumann ]
  * Using 'overlay' instead of 'overlayfs' everywhere, without backwards
    compatibility (Closes: #773881).
  * Dropping unionfs-fuse support:
  * Dropping unionfs support, long superseeded with aufs.
  * Dropping unionmount support, superseeded with overlay in mainline
    kernel.
  * Updating manpages for union= boot parameter.
  * Simplifying code a bit after removal of no longer supported overlay
    alternatives.
  * Updating year in copyright notices to 2015.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 Jan 2015 21:50:28 +0100

## live-boot 20151213

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = backends/*/* bin/* scripts/*.sh scripts/*/*-*
+SCRIPTS = backend/*/* frontend/* components/*
 
 all: build
 
@@ -31,7 +31,7 @@
 		echo " done."; \
 	else \
 		echo "W: checkbashisms - command not found"; \
-		echo "I: checkbashisms can be optained from: "; \
+		echo "I: checkbashisms can be obtained from: "; \
 		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
 		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \
@@ -41,15 +41,18 @@
 	@echo "Nothing to build."
 
 install:
-	# Installing scripts
-	mkdir -p $(DESTDIR)/lib/live
-	cp -r scripts/boot.sh scripts/boot $(DESTDIR)/lib/live
+	# Installing components
+	mkdir -p $(DESTDIR)/lib/live/boot
+	cp components/* $(DESTDIR)/lib/live/boot
 
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/hooks
-	cp backends/initramfs-tools/live.hook $(DESTDIR)/usr/share/initramfs-tools/hooks/live
+	cp backend/initramfs-tools/live.hook $(DESTDIR)/usr/share/initramfs-tools/hooks/live
 	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/scripts
-	cp backends/initramfs-tools/live.script $(DESTDIR)/usr/share/initramfs-tools/scripts/live
+	cp backend/initramfs-tools/live.script $(DESTDIR)/usr/share/initramfs-tools/scripts/live
+
+	mkdir -p $(DESTDIR)/bin
+	cp frontend/* $(DESTDIR)/bin
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-boot
@@ -73,8 +76,9 @@
 
 uninstall:
 	# Uninstalling executables
-	rm -f $(DESTDIR)/sbin/live-swapfile
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin > /dev/null 2>&1 || true
+	rm -f $(DESTDIR)/bin/live-boot
+	rm -f $(DESTDIR)/bin/live-swapfile
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/bin > /dev/null 2>&1 || true
 
 	rm -f $(DESTDIR)/usr/share/initramfs-tools/hooks/live
 	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/live

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,28 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
-Build-Depends: debhelper (>= 9)
+Uploaders: Iain R. Learmonth <irl@debian.org>
+Build-Depends:
+ debhelper (>= 9),
 Standards-Version: 3.9.6
-Homepage: http://live-systems.org/devel/live-boot/
-Vcs-Browser: http://live-systems.org/gitweb/?p=live-boot.git
-Vcs-Git: git://live-systems.org/git/live-boot.git
+Homepage: https://debian-live.alioth.debian.org/live-boot/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-boot.git
+Vcs-Git: https://anonscm.debian.org/git/debian-live/live-boot.git
 
 Package: live-boot
 Architecture: all
 Depends:
+ live-boot-initramfs-tools | live-boot-backend,
  ${misc:Depends},
- live-boot-initramfs-tools | live-boot-backend,
 Recommends:
  live-boot-doc,
  live-tools,
  rsync,
  uuid-runtime,
 Suggests:
+ cryptsetup,
  curlftpfs,
- cryptsetup,
  httpfs2,
- unionfs-fuse,
  wget,
 Description: Live System Boot Components
  The Live Systems project maintains the components to build Debian based Live
@@ -38,7 +38,8 @@
 Package: live-boot-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Live System Boot Components (documentation)
  The Live Systems project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.
@@ -51,13 +52,16 @@
 Package: live-boot-initramfs-tools
 Architecture: all
 Depends:
- ${misc:Depends},
  busybox | busybox-initramfs,
  initramfs-tools,
  udev,
-Conflicts: live-boot-backend
-Replaces: live-boot-backend
-Provides: live-boot-backend
+ ${misc:Depends},
+Conflicts:
+ live-boot-backend,
+Replaces:
+ live-boot-backend,
+Provides:
+ live-boot-backend,
 Description: Live System Boot Components (initramfs-tools backend)
  The Live Systems project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-boot/COPYING

	# live-boot-initramfs-tools
	mkdir -p debian/live-boot-initramfs-tools/usr/share
	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_install:
	dh_install --fail-missing

## live-boot 20160511~bpo8+1

=== debian/changelog ===
live-boot (1:20160511~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Kristian Klausen <klausenbusk@hotmail.com>  Tue, 17 May 2016 23:38:06 +0200

live-boot (1:20160511) unstable; urgency=medium

  * Team upload.
  * Update build system to rely on "dpkg-parsechangelog -S Version" instead
    of outdated VERSION file.
  * No longer modify PATH to point to /root and thus stop using executables
    from /root. Closes: #823069
  * Drop debian/source/local-options as the only option it contained was
    not applicable to 3.0 (native) source format.
  * Drop debian/source/options and dh_builddeb override as XZ compression is
    the default now.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 11 May 2016 11:40:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Kristian Klausen <klausenbusk@hotmail.com>
 Build-Depends:
  debhelper (>= 9),
 Standards-Version: 3.9.6

## live-boot 20170112

=== debian/changelog ===
live-boot (1:20170112) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Fix nodhcp option to actually force DHCP off. Closes: #785345
    Thanks to Frank Lillo for the report and Evgeni Golov for the patch.
  * Improve 9990-misc-helpers.sh when /sys/block/ is empty.
    Closes: #847802
  * Multiple cleanups to appease lintian.

  [ Kristian Klausen ]
  * Add "nls_ascii" module in the initrd so that we can access FAT
    partitions. Closes: #850532
  * Copy /etc/live/boot.conf and /etc/live/boot to the initrd.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 12 Jan 2017 16:59:49 +0100

## live-boot 20170623

=== debian/changelog ===
live-boot (1:20170623) unstable; urgency=medium

  * Do not duplicate files in /lib/live/boot/ and /bin/boot/ in the initrd.
    Closes: #864385 Thanks to Daniel Reichelt <debian@nachtgeist.net> for the
    patch.
  * Take into account the fact that udevadm is now in /bin and no longer in
    /sbin. Closes: #852570
  * Add myself to Uploaders.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.0.
  * Fix spelling errors in live-boot(7).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Jun 2017 14:41:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>, Kristian Klausen <klausenbusk@hotmail.com>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Build-Depends:
- debhelper (>= 9),
-Standards-Version: 3.9.6
+ debhelper (>= 10),
+Standards-Version: 4.0.0
 Homepage: https://debian-live.alioth.debian.org/live-boot/
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-boot.git
 Vcs-Git: https://anonscm.debian.org/git/debian-live/live-boot.git

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,5 @@
 	mkdir -p debian/live-boot-initramfs-tools/usr/share
 	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 override_dh_install:
 	dh_install --fail-missing

## live-boot 20180328

=== debian/changelog ===
live-boot (1:20180328) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Fix read-only persistence mode with overlayfs. Closes: #877776
    Thanks to Ronny Standtke <ronny.standtke@fhnw.ch> for the patch.
  * Add a small warning in the long description that the
    package must not be installed on a regular system, but only in
    a live image. Closes: #884886
  * Strip comments from checksums files passed to "shaXsum -c"
    Thanks to Andreas Heinlein for the report (Closes: #856482)

  [ Steve McIntyre ]
  * Repo moved to salsa

  [ Benjamin Drung ]
  * Don't replace busybox's wget by the true wget.
    It was likely done for https support but since buster the busybox
    provided wget has https support too. We save a lot of space by
    doing so (8 Mb). (Closes: #885455)
  * Avoid double slashes in some paths (Closes: #885453)
  * Support setting upperdir tmpfs size with overlay-size boot parameter
    (Closes: #885466)
  * Simplify mount point handling by using /run/live instead of /lib/live/mount
    (Closes: #886328)
  * Add configuration variables to build a stripped down initrd
    (Closes: #886337)

  [ Daniel Reichelt ]
  * Use klibc's mount again for fuse mounts (Closes: #868559)

  [ raizo62 ]
  * Update DNSFILE even if DNSFILE contains only commented or empty lines

  [ Sameer Agrawal ]
  * Fix ifconfig parsing (Closes: #892772)

  [ Chas Williams ]
  * Add back persistence fsck option
  * Remove workaround for ipconfig issues

  [ Benjamin Drung ]
  * Remove sourcing /scripts/functions in components
  * Support live-{top,premount,bottom} hooks (Closes: #884355)

  [ Luca Boccassi ]
  * Add backward compatibility rbind mount /lib/live/mount -> /run/live.
    The paths used in the current released versions of live-boot are a
    form of public API, and existing applications and scripts might rely
    on them. Do a recursive bind mount of the new path on the previous one
    so that they do not break on upgrade (see #886328).
    This backward-compatible mount point will be deprecated and removed
    before the Bullseye (Debian 11) release. Users are recommended to start
    migrating to the new /run/live path as soon as possible.

  [ Erik Ziegenbalg ]
  * fromiso: add support for local ISO (ONIE)

  [ Luca Boccassi ]
  * Clarify FROMISO documentation in live-boot manpage
  * Use HTTPS in debian/copyright (policy 4.0.0).
  * Remove dead link to live-systems.org from debian/copyright.
  * Bump Standards-Version to 4.1.3, no changes.
  * Add myself to Uploaders.

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Mar 2018 20:07:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>,
+ Luca Boccassi <bluca@debian.org>
 Build-Depends:
  debhelper (>= 10),
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://debian-live.alioth.debian.org/live-boot/
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-boot.git
-Vcs-Git: https://anonscm.debian.org/git/debian-live/live-boot.git
+Vcs-Browser: https://salsa.debian.org/live-team/live-boot
+Vcs-Git: https://salsa.debian.org/live-team/live-boot.git
 
 Package: live-boot
 Architecture: all
@@ -30,7 +31,8 @@
  systems and the official Debian Live images themselves.
  .
  live-boot contains the components to configure a live system during the boot
- process (early userspace).
+ process (early userspace). Do not install this package on your regular system,
+ it is only meant to be used in a live image.
  .
  In addition to live-boot, a backend for the initrd generation is required, such
  as live-boot-initramfs-tools.
@@ -67,6 +69,7 @@
  systems and the official Debian Live images themselves.
  .
  live-boot contains the components to configure a live system during the boot
- process (early userspace).
+ process (early userspace). Do not install this package on your regular system,
+ it is only meant to be used in a live image.
  .
  This package contains the initramfs-tools backend.

## live-boot 20180603~bpo9+1

=== Makefile ===
--- 
+++ 
@@ -47,9 +47,13 @@
 
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/hooks
-	cp backend/initramfs-tools/live.hook $(DESTDIR)/usr/share/initramfs-tools/hooks/live
+	for f in backend/initramfs-tools/*.hook; do \
+		cp $${f} $(DESTDIR)/usr/share/initramfs-tools/hooks/$$(basename $${f} .hook); \
+	done
 	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/scripts
-	cp backend/initramfs-tools/live.script $(DESTDIR)/usr/share/initramfs-tools/scripts/live
+	for f in backend/initramfs-tools/*.script; do \
+		cp $${f} $(DESTDIR)/usr/share/initramfs-tools/scripts/$$(basename $${f} .script); \
+	done
 
 	mkdir -p $(DESTDIR)/bin
 	cp frontend/* $(DESTDIR)/bin

=== manpages/Makefile ===
--- 
+++ 
@@ -19,18 +19,18 @@
 update:
 	./bin/update-version.sh
 
-build: po4a.cfg
+build: check po4a.cfg
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be optained from:"; \
+		echo "I: po4a can be obtained from:"; \
 		echo "I:   http://po4a.alioth.debian.org/"; \
 		echo "I: On Debian based systems, po4a can be installed with:"; \
 		echo "I:   apt-get install po4a"; \
 		exit 1; \
 	fi
 
-	po4a --keep 0 --no-backups --package-name live-boot po4a.cfg
+	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-boot --package-version $(shell dpkg-parsechangelog -S Version) po4a.cfg
 
 clean:
 	rm -rf $(LANGUAGES)
@@ -39,3 +39,19 @@
 	rm -f po4a.cfg
 
 rebuild: distclean update build
+
+check:
+	@echo -n "Checking the integrity of .po files "
+
+	@if [ -x /usr/bin/msgfmt ]; \
+	then \
+		for POFILE in po/*/*; \
+		do \
+			msgfmt --check --output-file=/dev/null $${POFILE}; \
+			echo -n "."; \
+		done; \
+	else \
+		echo "WARNING: skipping po integrity check. You must install gettext."; \
+	fi
+	
+	@echo " done!"

=== debian/changelog ===
live-boot (1:20180603~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Oct 2018 12:12:01 +0100

live-boot (1:20180603) unstable; urgency=medium

  [ Luca Boccassi ]
  * Mark live-boot-doc as Multi-Arch: foreign
  * Remove --parallel from dh to fix Lintian Warning.

  [ Benjamin Drung ]
  * Fix resolving FQDN given by DHCP
  * Double quote to prevent globbing and word splitting

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 03 Jun 2018 23:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
 Package: live-boot-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: Live System Boot Components (documentation)

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@} --parallel
+	dh ${@}
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/tmp

## live-boot 20190614

=== Makefile ===
--- 
+++ 
@@ -32,13 +32,13 @@
 	else \
 		echo "W: checkbashisms - command not found"; \
 		echo "I: checkbashisms can be obtained from: "; \
-		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
+		echo "I:   https://salsa.debian.org/debian/devscripts.git"; \
 		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \
 	fi
 
 build:
-	@echo "Nothing to build."
+	$(MAKE) -C $(CURDIR)/manpages
 
 install:
 	# Installing components

=== manpages/Makefile ===
--- 
+++ 
@@ -23,14 +23,12 @@
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be obtained from:"; \
-		echo "I:   http://po4a.alioth.debian.org/"; \
-		echo "I: On Debian based systems, po4a can be installed with:"; \
-		echo "I:   apt-get install po4a"; \
+		echo "I: po4a can be obtained from https://po4a.org"; \
+		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
 		exit 1; \
 	fi
 
-	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-boot --package-version $(shell dpkg-parsechangelog -S Version) po4a.cfg
+	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-boot --package-version $(shell cd ..;dpkg-parsechangelog -S Version) po4a.cfg
 
 clean:
 	rm -rf $(LANGUAGES)
@@ -55,3 +53,5 @@
 	fi
 	
 	@echo " done!"
+
+.PHONY: po4a.cfg

=== debian/changelog ===
live-boot (1:20190614) unstable; urgency=medium

  [ Roland Clobus ]
  * The homepage is https://wiki.debian.org/DebianLive
  * Used the same text for po4a as in live-manual.
  * Updated URL to the homepage and manual.
  * Fixed Lintian warning: manpage-section-mismatch
  * Always rebuild po4a.cfg This is needed to ensure that new languages
    will automatically be found
  * New Build-Depends: po4a for the translation files
  * Updated the translation files. The translators can now update their
    translations.

  [ Benjamin Drung ]
  * Also search for libnss_*.so files in /usr/lib (Closes: #930419)

  [ Luca Boccassi ]
  * Set Rules-Requires-Root: no
  * Set Standards-Version to 4.3.0

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Jun 2019 10:55:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
  Luca Boccassi <bluca@debian.org>
 Build-Depends:
  debhelper (>= 10),
-Standards-Version: 4.1.3
-Homepage: https://debian-live.alioth.debian.org/live-boot/
+ po4a,
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Homepage: https://wiki.debian.org/DebianLive
 Vcs-Browser: https://salsa.debian.org/live-team/live-boot
 Vcs-Git: https://salsa.debian.org/live-team/live-boot.git

## live-boot 20190614.1

=== debian/changelog ===
live-boot (1:20190614.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:38:08 +0800

## live-boot 20200430

=== debian/changelog ===
live-boot (1:20200430-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: f803c346a344d884e5113bd7d9c1e4b3c7aa6160']

 -- shuttle <shuttle@deepin.com>  Sat, 15 Aug 2020 13:40:56 +0000
